<xml></xml>

Saxon API for .NET |

# XPathSelector.Evaluate Method

Evaluate the expression, returning the result as an `XdmValue` (that is, a sequence of nodes and/or atomic values).

public XdmValue Evaluate();

#### Return Value

An `XdmValue` representing the results of the expression.

#### Remarks

Although a singleton result may be represented as an `XdmItem`, there is no guarantee that this will always be the case. If you know that the expression will return at most one node or atomic value, it is best to use the `EvaluateSingle` method, which does guarantee that an `XdmItem` (or null) will be returned.

#### See Also

XPathSelector Class | Saxon.Api Namespace